Bug 64209 - rp3 logs off unnecessarily upon GNOME panel activity
rp3 logs off unnecessarily upon GNOME panel activity
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: rp3 (Show other bugs)
7.2
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-29 07:37 EDT by Neil Bird
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-17 05:13:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil Bird 2002-04-29 07:37:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; WinNT4.0; en-US; rv:1.0rc1) Gecko/20020417

Description of problem:
With rp3 run as a GNOME applet on a panel, certain activities* cause rp3 to log
off the Net (call ifdown).

* e.g.,
- move other applets around that cause rp3 applet to relocate.
- have large tasklist on same panel and grow to overfill panel (this is when I
first saw the problem, with lots of browser windows open).

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run rp3 applet
2. dial up via rp3
3. drag other applets on panel around (using shift &/or ctrl)

	

Actual Results:  Applets all move correctly;  at some point, dialup connection
is lost.

Expected Results:  Applets all move correctly.  No logout.

Additional info:

I have finally tracked this down:  there is a 'cancel dialup upon logout' option
which seems nice & safe & I use.

However, it is checked for in rp3/appapplet.c:session_save_applet().  This
routine, if the option is set, issues an ifdown.  However, the routine can
seemingly be called upon rearrangement of the parent panel's applets, and so
does *not* want to be logging the user off the Net.
Comment 1 Neil Bird 2006-06-17 05:13:40 EDT
I’m going to close this;  din’t realise it was still hanging around.  Pretty
obsolete my now.

Note You need to log in before you can comment on or make changes to this bug.